### File

`src/directives/fsdatepickrange.directive.ts`

### Implements

`OnInit` `OnChanges` `OnDestroy`

### Metadata

providers | `DATEPICKER_RANGE_VALUE_ACCESSOR`
selector | `[fsDatePickerRange]`

### Index

###### Properties
_onChange _onTouched onFocused Public opened
###### Methods
inputBlur inputKeyup ngOnChanges ngOnDestroy ngOnInit registerOnChange registerOnTouched writeValue
###### Inputs
maxYear minYear ngModelEnd ngModelStart presets view
###### Outputs
change ngModelEndChange ngModelStartChange
###### HostListeners
window:resize

### Constructor

`constructor(_elementRef: ElementRef, renderer: Renderer, factoryResolver: , viewContainerRef: , fsDatePickerCommon: FsDatePickerCommon, fsDatepickerRangeFactory: FsDatepickerRangeFactory)`
Parameters :
Name | Type | Optional | Description
_elementRef | `ElementRef` | no |
renderer | `Renderer` | no |
factoryResolver |  | no |
viewContainerRef |  | no |
fsDatePickerCommon | `FsDatePickerCommon` | no |
fsDatepickerRangeFactory | `FsDatepickerRangeFactory` | no |

### Inputs

`maxYear` | Default value: `null`

`minYear` | Default value: `null`

`ngModelEnd` | Default value: `null`

`ngModelStart` | Default value: `null`

`presets` | Type: `FsPreset[]` Default value: `[]`

`view` | Default value: `'date'`

### Outputs

`change` | `$event` type: `EventEmitter`

`ngModelEndChange` | `$event` type: `EventEmitter`

`ngModelStartChange` | `$event` type: `EventEmitter`

### HostListeners

window:resize
Arguments : `'$event'`
`window:resize(event: )`

### Methods

inputBlur
`inputBlur(event: )`
Parameters :
Name | Type | Optional | Default value | Description
event |  | no | `` |
Returns : `void`

inputKeyup
`inputKeyup(e: )`
Parameters :
Name | Type | Optional | Default value | Description
e |  | no | `` |
Returns : `void`

ngOnChanges
`ngOnChanges(changes: )`
Parameters :
Name | Type | Optional | Default value | Description
changes |  | no | `` |
Returns : `void`

ngOnDestroy
`ngOnDestroy()`
Returns : `void`

ngOnInit
`ngOnInit()`
Returns : `void`

registerOnChange
`registerOnChange(fn: (value: any) => void)`
Parameters :
Name | Type | Optional | Default value | Description
fn | `function` | no | `` |
Returns : `void`

registerOnTouched
`registerOnTouched(fn: () => void)`
Parameters :
Name | Type | Optional | Default value | Description
fn | `function` | no | `` |
Returns : `void`

writeValue
`writeValue(startDate: , endDate: )`
Parameters :
Name | Type | Optional | Default value | Description
startDate |  | no | `` |
endDate |  | no | `` |
Returns : `void`

### Properties

_onChange
`_onChange: ```
Default value : `(value: any) => { }`

_onTouched
`_onTouched: ```
Default value : `() => { }`

onFocused
`onFocused: ```
Default value : `(event: any) => { }`

Public opened
`opened: ```
Default value : `false`

# results matching ""

# No results matching ""